[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDatabase.Params

Connection parameters

## Declaration

Source position: db.pas line 2097

`published property TDatabase.Params : TStrings read FParams write SetParams;`

## Description

Params is a catch-all storage mechanism for database connection parameters. It is a list of strings in the form of Name=Value pairs. Which name/value pairs are supported depends on the TDatabase descendent, but the user_name and password parameters are commonly used to store the login credentials for the database.

## See also

TDatabase.Directory |  | Directory for the database
TDatabase.DatabaseName |  | Database name or path